Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface TelephoneNumberType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TelephoneNumberTypeImpl

    public interface TelephoneNumberType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Telephone Number Type'. TelephoneNumber is the mapping of the same named interface in ebRIM.

The following features are supported:

- `Area Code`
- `Country Code`
- `Extension`
- `Number`
- `Phone Type`
- `Url`

See Also:
  `RimPackage.getTelephoneNumberType()`

Method Summary
`java.lang.String` | `getAreaCode()` Returns the value of the 'Area Code' attribute.
`java.lang.String` | `getCountryCode()` Returns the value of the 'Country Code' attribute.
`java.lang.String` | `getExtension()` Returns the value of the 'Extension' attribute.
`java.lang.String` | `getNumber()` Returns the value of the 'Number' attribute.
`java.lang.String` | `getPhoneType()` Returns the value of the 'Phone Type' attribute.
`java.lang.String` | `getUrl()` Returns the value of the 'Url' attribute.
`void` | `setAreaCode(java.lang.String value)` Sets the value of the '`Area Code`' attribute.
`void` | `setCountryCode(java.lang.String value)` Sets the value of the '`Country Code`' attribute.
`void` | `setExtension(java.lang.String value)` Sets the value of the '`Extension`' attribute.
`void` | `setNumber(java.lang.String value)` Sets the value of the '`Number`' attribute.
`void` | `setPhoneType(java.lang.String value)` Sets the value of the '`Phone Type`' attribute.
`void` | `setUrl(java.lang.String value)` Sets the value of the '`Url`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAreaCode

    java.lang.String getAreaCode()

  Returns the value of the 'Area Code' attribute.

  If the meaning of the 'Area Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Area Code' attribute.
  See Also:
    `setAreaCode(String)`, `RimPackage.getTelephoneNumberType_AreaCode()`

### setAreaCode

    void setAreaCode(java.lang.String value)

  Sets the value of the '`Area Code`' attribute.

  Parameters:
    `value` - the new value of the 'Area Code' attribute.
  See Also:
    `getAreaCode()`

### getCountryCode

    java.lang.String getCountryCode()

  Returns the value of the 'Country Code' attribute.

  If the meaning of the 'Country Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Country Code' attribute.
  See Also:
    `setCountryCode(String)`, `RimPackage.getTelephoneNumberType_CountryCode()`

### setCountryCode

    void setCountryCode(java.lang.String value)

  Sets the value of the '`Country Code`' attribute.

  Parameters:
    `value` - the new value of the 'Country Code' attribute.
  See Also:
    `getCountryCode()`

### getExtension

    java.lang.String getExtension()

  Returns the value of the 'Extension' attribute.

  If the meaning of the 'Extension' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extension' attribute.
  See Also:
    `setExtension(String)`, `RimPackage.getTelephoneNumberType_Extension()`

### setExtension

    void setExtension(java.lang.String value)

  Sets the value of the '`Extension`' attribute.

  Parameters:
    `value` - the new value of the 'Extension' attribute.
  See Also:
    `getExtension()`

### getNumber

    java.lang.String getNumber()

  Returns the value of the 'Number' attribute.

  If the meaning of the 'Number' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Number' attribute.
  See Also:
    `setNumber(String)`, `RimPackage.getTelephoneNumberType_Number()`

### setNumber

    void setNumber(java.lang.String value)

  Sets the value of the '`Number`' attribute.

  Parameters:
    `value` - the new value of the 'Number' attribute.
  See Also:
    `getNumber()`

### getPhoneType

    java.lang.String getPhoneType()

  Returns the value of the 'Phone Type' attribute.

  If the meaning of the 'Phone Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Phone Type' attribute.
  See Also:
    `setPhoneType(String)`, `RimPackage.getTelephoneNumberType_PhoneType()`

### setPhoneType

    void setPhoneType(java.lang.String value)

  Sets the value of the '`Phone Type`' attribute.

  Parameters:
    `value` - the new value of the 'Phone Type' attribute.
  See Also:
    `getPhoneType()`

### getUrl

    java.lang.String getUrl()

  Returns the value of the 'Url' attribute.

  If the meaning of the 'Url' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Url' attribute.
  See Also:
    `setUrl(String)`, `RimPackage.getTelephoneNumberType_Url()`

### setUrl

    void setUrl(java.lang.String value)

  Sets the value of the '`Url`' attribute.

  Parameters:
    `value` - the new value of the 'Url' attribute.
  See Also:
    `getUrl()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD